#!/bin/bash

# Set up PAT YP stuff.

if [ `grep NISDOMAIN=fnpat /etc/sysconfig/network | wc -l` -eq 0 ]
then
  echo 'NISDOMAIN=fnpat.fnal.gov' >> /etc/sysconfig/network
fi

if [ `grep fnpat1.fnal.gov /etc/yp.conf | wc -l` -eq 0 ]
then
  echo 'domain fnpat.fnal.gov server fnpat1.fnal.gov' >> /etc/yp.conf
fi

if [ `grep fnpat1.fnal.gov /etc/hosts | wc -l` -eq 0 ]
then
  echo '131.225.84.175          fnpat1.fnal.gov fnpat1' >> /etc/hosts
fi

/sbin/chkconfig --level 35 ypbind on
/sbin/chkconfig --level 35 portmap on

# Set up PAT NFS mount points

[ -d /home          ] || mkdir /home
[ -d /home/mu1      ] || mkdir /home/mu1
[ -d /home/mu2      ] || mkdir /home/mu2
[ -d /home/pat      ] || mkdir /home/pat
[ -d /home/sim1     ] || mkdir /home/sim1
[ -d /home/ghi      ] || mkdir /home/ghi
[ -d /home/btev     ] || mkdir /home/btev
[ -d /home/zoom     ] || mkdir /home/zoom
[ -d /home/zoom2    ] || mkdir /home/zoom2
[ -d /home/misc1    ] || mkdir /home/misc1
[ -d /home/focus1   ] || mkdir /home/focus1
[ -d /home/nirvana  ] || mkdir /home/nirvana
[ -d /home/products ] || mkdir /home/products

[ -d /fnal/ups/Linux ] || mkdir -p /fnal/ups/Linux

[ -d /scr        ] || mkdir /scr
[ -d /scr/mu1    ] || mkdir /scr/mu1
[ -d /scr/sim1   ] || mkdir /scr/sim1
[ -d /scr/misc1  ] || mkdir /scr/misc1
[ -d /scr/misc3 ] || mkdir /scr/misc3

# edit fstab
if [ `grep fnpat1.fnal.gov:/home/mu1 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/mu1 /home/mu1   nfs   timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/mu2 /home/mu2   nfs   timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/home/pat /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/pat   /home/pat    nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/sim1  /home/sim1   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/ghi   /home/ghi    nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/home/btev /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/btev  /home/btev   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/home/zoom /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/zoom  /home/zoom   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/zoom2 /home/zoom2  nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/home/misc1 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/misc1 /home/misc1  nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/home/focus1 /home/focus1 nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/home/nirvana /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/nirvana /home/nirvana nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/home/products /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/home/products /home/products nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/fnal/ups/Linux /fnal/ups/Linux nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

if [ `grep fnpat1.fnal.gov:/scr/misc1 /etc/fstab | wc -l` -eq 0 ]
then
  echo 'fnpat1.fnal.gov:/scr/sim1  /scr/sim1     nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/scr/mu1   /scr/mu1      nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/scr/misc3 /scr/misc3  nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
  echo 'fnpat1.fnal.gov:/scr/misc1  /scr/misc1   nfs timeo=14,intr,rsize=8192,wsize=8192' >> /etc/fstab
fi

# make sure shells are present
[ -d /usr/local/bin ] || mkdir /usr/local/bin
[ -L /usr/local/bin/bash ] || ln -s /bin/bash /usr/local/bin/bash
[ -L /usr/local/bin/tcsh ] || ln -s /bin/tcsh /usr/local/bin/tcsh
